Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.game.dke
Class IndirectFireAction

    java.lang.Object
      gecco.server.core.Action
          gecco.game.dke.IndirectFireAction

public class IndirectFireAction
extends Action

Constructor Summary
`IndirectFireAction()`

Method Summary
`ActionReturn` | `checkPoint()` This method is called periodically by the game engine.
`void` | `initiate(int _actionHandle, int _unitHandle)` Initialise the action without any arguments.
`void` | `initiate(int _actionHandle, int _unitHandle, double _argX, double _argY)` Initialise the action with a point as argument.
`void` | `initiate(int _actionHandle, int _unitHandle, int _argUnitHandle)` Initialise the action with a unit as argument.
`void` | `prepareAbortion()` Called from ActionProcessor when Action is aborted, lets Action abort gracefully

Methods inherited from class gecco.server.core.Action
`canSeePosition, getActionDefinition, getActionHandle, getArgumentUnit, getArgumentX, getArgumentY, getAutomatonState, getCooperativeUnits, getId, getNewActionHandle, getUnit, getUnitHandle, initiate, isInstantaneous, isOutsideMap, sendEventToAutomaton, sendEventToUnit, setActionDefinition, setArgumentUnit, setArgumentX, setArgumentY, setInstantaneous`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndirectFireAction

    public IndirectFireAction()

Method Detail

### initiate

    public void initiate(int _actionHandle,
                         int _unitHandle)

  Description copied from class: `Action`
  Initialise the action without any arguments.

  Overrides:
    `initiate` in class `Action`
  Parameters:
    `_actionHandle` - A unique handle that should identify this action.
    `_unitHandle` - The handle of the executing unit.

### initiate

    public void initiate(int _actionHandle,
                         int _unitHandle,
                         int _argUnitHandle)

  Description copied from class: `Action`
  Initialise the action with a unit as argument.

  Overrides:
    `initiate` in class `Action`
  Parameters:
    `_actionHandle` - A unique handle that should identify this action.
    `_unitHandle` - The handle of the executing unit.
    `_argUnitHandle` - The handle of the target unit.

### initiate

    public void initiate(int _actionHandle,
                         int _unitHandle,
                         double _argX,
                         double _argY)

  Description copied from class: `Action`
  Initialise the action with a point as argument.

  Overrides:
    `initiate` in class `Action`
  Parameters:
    `_actionHandle` - A unique handle that should identify this action.
    `_unitHandle` - The handle of the executing unit.
    `_argX` - The x coordinate of the target point.
    `_argY` - The y coordinate of the target point.

### checkPoint

    public ActionReturn checkPoint()

  Description copied from class: `Action`
  This method is called periodically by the game engine.

  Specified by:
    `checkPoint` in class `Action`
  Returns:
    An object of type ActionReturn, which encapsulates data about the status of the action after the checkpoint. Different instances of the class ActionReturn should be returned depending on whether the action is completed, aborted, or if the action should be requeued and the checkpoint method called again at some time later.

### prepareAbortion

    public void prepareAbortion()

  Description copied from class: `Action`
  Called from ActionProcessor when Action is aborted, lets Action abort gracefully

  Overrides:
    `prepareAbortion` in class `Action`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD